## bolt 0.2

=== meson_options.txt ===
option('db-path', type: 'string', value: '/var/lib/boltd', description: 'Directory for the device database')
option('man', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'Build man pages')
option('privileged-group', type: 'string', value: 'wheel', description: 'Name of privileged group')

=== debian/changelog ===
bolt (0.2-0ubuntu1) bionic; urgency=medium

  * New upstream version
  * debian/control:
    - Build-Depends on umockdev, python3-dbus, python3-dbusmock, python3-gi,
      those are needed for the testsuite
    - updated glib requirement
  * debian/rules:
    - override dh_missing instead of dh_install

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Mar 2018 09:43:34 +0200

bolt (0.1-0ubuntu1) bionic; urgency=medium

  * Initial release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Feb 2018 16:03:29 +0100

=== debian/control ===
Source: bolt
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 10),
               meson (>= 0.42),
               libglib2.0-dev (>= 2.52),
               libudev-dev,
               libumockdev-dev,
               libpolkit-gobject-1-dev,
               python3-dbus,
               python3-dbusmock,
               python3-gi,
               systemd,
               udev,
               umockdev,
Standards-Version: 4.1.2
Homepage: https://github.com/gicmo/bolt

Package: bolt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system daemon to manage thunderbolt 3 devices
 Thunderbolt 3 features different security modes that require
 devices to be authorized before they can be used. The D-Bus API can be
 used to list devices, enroll them (authorize and store them in the
 local database) and forget them again (remove previously enrolled
 devices). It also emits signals if new devices are connected (or
 removed). During enrollment devices can be set to be automatically
 authorized as soon as they are connected.  A command line tool, called
 boltctl, can be used to control the daemon and perform all the above
 mentioned tasks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddb-path=/var/lib/boltd
	
override_dh_missing:
	dh_missing --fail-missing

## bolt 0.5

=== meson_options.txt ===
option('db-path', type: 'string', description: 'DEPRECATED')
option('db-name', type: 'string', value: 'boltd', description: 'Name for the device database')
option('man', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'Build man pages')
option('privileged-group', type: 'string', value: 'wheel', description: 'Name of privileged group')
option('systemd', type: 'boolean', value: 'true', description: 'Whether or not to install the systemd unit')
option('coverity', type: 'boolean', value: 'false', description: 'Whether or not to do a coverity build')

=== debian/changelog ===
bolt (0.5-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.44.0
  * Explicitly build man pages
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Sep 2018 20:28:48 -0400

bolt (0.3-3) unstable; urgency=medium

  * Build-Depend on xmlto to fix build without network access

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 19:02:10 -0400

bolt (0.3-2) unstable; urgency=medium

  * Set libexecdir to /usr/lib/bolt

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 08 May 2018 08:52:06 -0400

bolt (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #897633)
  * Update Build-Depends for new release
  * Bump debhelper compat to 11
  * Build man pages and install README.md
  * Set privileged-group to sudo instead of wheel
  * Other minor packaging changes

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 03 May 2018 11:19:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,33 @@
 Source: bolt
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 10),
-               meson (>= 0.42),
-               libglib2.0-dev (>= 2.52),
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
+               meson (>= 0.44.0),
+               asciidoc-base <!nodoc>,
+               docbook-xml <!nodoc>,
+               libglib2.0-dev (>= 2.50),
                libudev-dev,
                libumockdev-dev,
                libpolkit-gobject-1-dev,
-               python3-dbus,
-               python3-dbusmock,
-               python3-gi,
+               libsystemd-dev,
+               libxml2-utils <!nodoc>,
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               python3-gi <!nocheck>,
                systemd,
                udev,
-               umockdev,
-Standards-Version: 4.1.2
-Homepage: https://github.com/gicmo/bolt
+               umockdev <!nocheck>,
+               xmlto <!nodoc>,
+               xsltproc <!nodoc>,
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
+Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git
+Homepage: https://gitlab.freedesktop.org/bolt/bolt
 
 Package: bolt
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: system daemon to manage thunderbolt 3 devices
  Thunderbolt 3 features different security modes that require

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/bolt \
		-Dman=true \
		-Dprivileged-group=sudo
	
override_dh_missing:
	dh_missing --fail-missing

## bolt 0.7

=== meson_options.txt ===
option('db-path', type: 'string', description: 'DEPRECATED')
option('db-name', type: 'string', value: 'boltd', description: 'Name for the device database')
option('man', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'Build man pages')
option('privileged-group', type: 'string', value: 'wheel', description: 'Name of privileged group')
option('systemd', type: 'boolean', value: 'true', description: 'DEPRECATED')
option('coverity', type: 'boolean', value: 'false', description: 'Whether or not to do a coverity build')

=== debian/changelog ===
bolt (0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:36:57 +0800

bolt (0.7-2) unstable; urgency=medium

  * Add journal-fix-invalid-format-string-in-warning.patch:
    - Proposed patch to fix build on some architectures

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 04 Jan 2019 07:55:28 -0500

bolt (0.7-1) unstable; urgency=medium

  * New upstream release (Closes: #917710)
  * Remove LD_PRELOAD from the dh_auto_test environment
  * Drop no longer required libsystemd-dev build dependency

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 01 Jan 2019 23:24:51 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                libudev-dev,
                libumockdev-dev,
                libpolkit-gobject-1-dev,
-               libsystemd-dev,
                libxml2-utils <!nodoc>,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,7 @@
 	
 override_dh_missing:
 	dh_missing --fail-missing
+
+# Remove LD_PRELOAD since it can cause some dbus-related tests to fail
+override_dh_auto_test:
+	env -u LD_PRELOAD dh_auto_test

## bolt 0.8

=== meson_options.txt ===
option('coverity', type: 'boolean', value: 'false', description: 'Whether or not to do a coverity build')
option('db-path', type: 'string', description: 'DEPRECATED')
option('db-name', type: 'string', value: 'boltd', description: 'Name for the device database')
option('install-tests', type: 'boolean', value: 'false', description: 'Install the tests')
option('man', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'Build man pages')
option('privileged-group', type: 'string', value: 'wheel', description: 'Name of privileged group')
option('profiling', type: 'boolean', value: 'false', description: 'Build with profiling support')
option('systemd', type: 'boolean', value: 'true', description: 'DEPRECATED')

=== debian/changelog ===
bolt (0.8-4) unstable; urgency=medium

  * debian/control:
    - change back the bolt-tests package to be arch any, that was
      changed by error with the previous revision

 -- Sebastien Bacher <seb128@debian.org>  Sat, 21 Sep 2019 11:10:01 +0200

bolt (0.8-3) unstable; urgency=medium

  * debian/patches/gitlab_oldkernel_tests.patch:
    - backport an upstream gitlab patch to fix the build with newer glibc
      on older kernel (lp: #1843728)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Sep 2019 18:23:52 +0200

bolt (0.8-2) experimental; urgency=medium

  * Enable installed tests, ship them in a new binary
  * debian/tests:
    - set up the installed-tests as autopkgtests
  * debian/bolt.maintscript:
    - remove the /etc/dbus-1/system.d conffile on upgrade,
      it has been moved to /usr in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Jul 2019 20:30:06 +0200

bolt (0.8-1) experimental; urgency=medium

  * New upstream version:
    - IOMMU support: adapt behavior iommu support is present and active
    - bolt-mock script for interactively testing boltd
    - Automatically import devices that were authorized at boot
  * Removed patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Jul 2019 20:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -38,3 +38,19 @@
  authorized as soon as they are connected.  A command line tool, called
  boltctl, can be used to control the daemon and perform all the above
  mentioned tasks.
+
+Package: bolt-tests
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: system daemon to manage thunderbolt 3 devices - installed tests
+ Thunderbolt 3 features different security modes that require
+ devices to be authorized before they can be used. The D-Bus API can be
+ used to list devices, enroll them (authorize and store them in the
+ local database) and forget them again (remove previously enrolled
+ devices). It also emits signals if new devices are connected (or
+ removed). During enrollment devices can be set to be automatically
+ authorized as soon as they are connected.  A command line tool, called
+ boltctl, can be used to control the daemon and perform all the above
+ mentioned tasks.
+ .
+ This package includes tests to be used on the installed system.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/bolt \
 		-Dman=true \
-		-Dprivileged-group=sudo
+		-Dprivileged-group=sudo \
+		-Dinstall-tests=true
 	
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/tests/control ===
Tests: installed-tests
Depends: @, dpkg-dev, umockdev, python3-dbus, python3-dbusmock, python3-gi, gir1.2-umockdev-1.0
Restrictions: allow-stderr

## bolt 0.9

=== debian/changelog ===
bolt (0.9-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - updated the glib requirement to 2.56
  * debian/patches/gitlab_oldkernel_tests.patch:
    - removed, the change is in the new version

  [ Laurent Bigonville ]
  * Bump to debhelper version 12
  * Move the daemon to /usr/libexec now that's allowed in the policy
  * debian/control: Add the proper dependencies for the bolt-tests package

 -- Sebastien Bacher <seb128@debian.org>  Tue, 16 Jun 2020 16:01:37 +0200

## bolt 0.9.1

=== debian/changelog ===
bolt (0.9.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 07 Feb 2021 21:47:26 -0500

bolt (0.9.1-1) unstable; urgency=medium

  * New bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 16:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: bolt
 Section: admin
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               meson (>= 0.44.0),
-               asciidoc-base <!nodoc>,
+Build-Depends: asciidoc-base <!nodoc>,
+               debhelper-compat (= 12),
                docbook-xml <!nodoc>,
-               libglib2.0-dev (>= 2.50),
+               libglib2.0-dev (>= 2.56),
+               libpolkit-gobject-1-dev,
                libudev-dev,
                libumockdev-dev,
-               libpolkit-gobject-1-dev,
                libxml2-utils <!nodoc>,
+               meson (>= 0.44.0),
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
@@ -19,7 +20,7 @@
                udev,
                umockdev <!nocheck>,
                xmlto <!nodoc>,
-               xsltproc <!nodoc>,
+               xsltproc <!nodoc>
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
 Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git
@@ -27,7 +28,7 @@
 
 Package: bolt
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: system daemon to manage thunderbolt 3 devices
  Thunderbolt 3 features different security modes that require
  devices to be authorized before they can be used. The D-Bus API can be
@@ -41,7 +42,15 @@
 
 Package: bolt-tests
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: gir1.2-glib-2.0,
+         gir1.2-umockdev-1.0,
+         python3,
+         python3-dbus,
+         python3-dbusmock,
+         python3-gi,
+         umockdev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: system daemon to manage thunderbolt 3 devices - installed tests
  Thunderbolt 3 features different security modes that require
  devices to be authorized before they can be used. The D-Bus API can be

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/bolt \
 		-Dman=true \
 		-Dprivileged-group=sudo \
 		-Dinstall-tests=true

## bolt 0.9.2

=== debian/changelog ===
bolt (0.9.2-1) unstable; urgency=medium

  * New ustream version
  * debian/control:
    - updated the meson requirement to 0.46
  * debian/patches/git_umockdev_update.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Feb 2022 12:31:28 +0100

bolt (0.9.1-2) unstable; urgency=medium

  * debian/patches/git_umockdev_update.patch:
    - Get along with existing mock /sys/{bus,class} directories
      (Closes: #995248)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Oct 2021 08:46:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bolt
 Section: admin
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: asciidoc-base <!nodoc>,
                debhelper-compat (= 12),
@@ -12,7 +11,7 @@
                libudev-dev,
                libumockdev-dev,
                libxml2-utils <!nodoc>,
-               meson (>= 0.44.0),
+               meson (>= 0.46.0),
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,

## bolt 0.9.3

=== debian/changelog ===
bolt (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:58:31 -0400

bolt (0.9.2-3) unstable; urgency=medium

  * Team upload
  * Add proposed patch to fix build with glib 2.73 (Closes: #1016841)
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 16:49:24 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: asciidoc-base <!nodoc>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook-xml <!nodoc>,
                libglib2.0-dev (>= 2.56),
                libpolkit-gobject-1-dev,
@@ -20,7 +20,8 @@
                umockdev <!nocheck>,
                xmlto <!nodoc>,
                xsltproc <!nodoc>
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
 Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git
 Homepage: https://gitlab.freedesktop.org/bolt/bolt

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dprivileged-group=sudo \
		-Dinstall-tests=true
	
# Remove LD_PRELOAD since it can cause some dbus-related tests to fail
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

## bolt 0.9.5

=== debian/changelog ===
bolt (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Run the slow tests too

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 10:24:04 -0500

bolt (0.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 11:16:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: asciidoc-base <!nodoc>,
                debhelper-compat (= 13),
                docbook-xml <!nodoc>,
-               libglib2.0-dev (>= 2.56),
+               libglib2.0-dev,
                libpolkit-gobject-1-dev,
                libudev-dev,
                libumockdev-dev,
                libxml2-utils <!nodoc>,
-               meson (>= 0.46.0),
+               meson,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	dh_auto_configure -- \
 		-Dman=true \
 		-Dprivileged-group=sudo \
+		-Dtests-speed=slow \
 		-Dinstall-tests=true
 	
 # Remove LD_PRELOAD since it can cause some dbus-related tests to fail

## bolt 0.9.6

=== debian/changelog ===
bolt (0.9.6-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc or udevdir
    changes in udev.pc. (Closes: #1052349)

  [ Jeremy Bícha ]
  * Build-Depend on systemd-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 16:59:16 -0500

bolt (0.9.6-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Sep 2023 13:55:25 -0400

## bolt 0.9.7

=== debian/changelog ===
bolt (0.9.7-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 14:13:27 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: asciidoc-base <!nodoc>,
                debhelper-compat (= 13),
                docbook-xml <!nodoc>,
@@ -12,15 +12,15 @@
                libumockdev-dev,
                libxml2-utils <!nodoc>,
                meson,
+               pkgconf,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
-               systemd,
-               udev,
+               systemd-dev,
                umockdev <!nocheck>,
                xmlto <!nodoc>,
                xsltproc <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
 Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/@PACKAGE@/@PACKAGE@/tags \
	.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## bolt 0.9.8

=== debian/changelog ===
bolt (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * Don't install dbdir since it will be created by systemd at startup instead
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 14:58:37 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                umockdev <!nocheck>,
                xmlto <!nodoc>,
                xsltproc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
 Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/@PACKAGE@/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## bolt 0.9.10

=== meson_options.txt ===
option('coverity', type: 'boolean', value: false, description: 'Whether or not to do a coverity build')
option('db-path', type: 'string', description: 'DEPRECATED')
option('db-name', type: 'string', value: 'boltd', description: 'Name for the device database')
option('install-tests', type: 'boolean', value: false, description: 'Install the tests')
option('man', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'Build man pages')
option('privileged-group', type: 'string', value: 'wheel', description: 'Name of privileged group')
option('profiling', type: 'boolean', value: false, description: 'Build with profiling support')
option('systemd', type: 'boolean', value: true, description: 'DEPRECATED')
option('tests-speed', type: 'combo', choices: ['quick', 'slow'], value: 'quick', description : 'Which tests to run')

=== debian/changelog ===
bolt (0.9.10-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Require-Root: no field
  * Convert debian/watch to Version: 5
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 19:04:53 -0400

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
                umockdev <!nocheck>,
                xmlto <!nodoc>,
                xsltproc <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/bolt
 Vcs-Git: https://salsa.debian.org/freedesktop-team/bolt.git
 Homepage: https://gitlab.freedesktop.org/bolt/bolt

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
+
+export systemdsystemunitdir=$(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
+export udevdir=$(shell pkgconf --variable=udevdir udev | sed s,^/,,)
 
 %:
 	dh $@

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.freedesktop.org/@PACKAGE@/@PACKAGE@
